Module
Inhalte
Index 🔎︎

# Anweisung LSet

Ordnet eine Zeichenkette linksbündig innerhalb einer Zeichenkettenvariablen an oder kopiert eine Variable eines benutzerdefinierten Datentyps in eine andere Variable eines benutzerdefinierten Datentyps.

## Syntax:

    LSet Var As String = Text or LSet Var1 = Var2

## Parameter:

Var: Eine beliebige Zeichenkettenvariable, welche die links auszurichtende Zeichenkette enthält.

Text: Zeichenkette, die Sie innerhalb der Zeichenkettenvariable links ausrichten möchten.

Var1: Name der zu kopierenden benutzerdefinierten Variable.

Var2: Name der zu kopierenden benutzerdefinierten Variable.

Ist die Zeichenkette kürzer als die Zeichenkettenvariable, ordnet die Anweisung LSet die Zeichenkette linksbündig in der Zeichenkettenvariablen an. Die freien Stellen der Zeichenkettenvariablen werden mit Leerzeichen aufgefüllt. Ist die Zeichenkette länger, werden nur soviele Zeichen der Zeichenkette linksbündig in der Zeichenkettenvariablen angeordnet, wie diese aufnehmen kann. Mit der Anweisung LSet ist es außerdem möglich, die Variable eines benutzerdefinierten Datentyps in eine andere des selben Datentyps zu kopieren.

## Beispiel:

    Sub ExampleRLSet

    Dim sVar As String

    Dim sExpr As String

        sVar = String(40,"*")

        sExpr = "SBX"

        ' "SBX" Im 40 Zeichen langen Referenzstring rechts ausrichten

        ' Die Sternchen durch Leerzeichen ersetzen

        RSet sVar = sExpr

        Print ">"; sVar; "<"

        sVar = String(5,"*")

        sExpr = "123457896"

        RSet sVar = sExpr

        Print ">"; sVar; "<"

        sVar = String(40,"*")

        sExpr = "SBX"

        ' "SBX" im 40 Zeichen langen Referenzstring links ausrichten

        LSet sVar = sExpr

        Print ">"; sVar; "<"

        sVar = String(5,"*")

        sExpr = "123456789"

        LSet sVar = sExpr

        Print ">"; sVar; "<"

    End Sub